Subject: Re: Postgresql: libpq problem? (was: Re: Compilation problem)
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: Cédric Bouttes <[email-masked]>
Date: Wed, 5 Nov 2003 10:01:21 -0500

On Wed, Nov 05, 2003 at 12:44:29PM +0100, Gerrit P. Haase wrote:
> seems to be a problem with this symbol in the postgresql library libpq.

Huh?

    $ nm /usr/lib/libpq.a | fgrep ctype
    $ nm /usr/lib/libcygwin.a | fgrep ctype
    00000000 I __imp____ctype_ptr
    00000000 I __nm____ctype_ptr
    00000000 I __imp___ctype_
    00000000 I __nm___ctype_
    ...

> I don't know the postgresql code, so lets ask the maintainer
> (therefore the subject change).  Jason? Any ideas?

Sigh...  I was hoping avoid downloading and building this, but it
WFM:

    $ make
    [snip]
    rm -f blib/arch/auto/DBD/Pg/Pg.dll
    LD_RUN_PATH="" ld2  -s -L/usr/local/lib Pg.o dbdimp.o  -o blib/arch/auto/DBD/Pg/Pg.dll  /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a -L/usr/lib -lpq   
    gcc -shared -o  Pg.dll -Wl,--out-implib=libPg.dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 \
    -s -L/usr/local/lib Pg.o dbdimp.o  /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a -L/usr/lib -lpq
    Creating library file: libPg.dll.a
    [snip]

AFAICT, there appears to be a problem with Cédric's Cygwin installation.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/